Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp	(revision 1972)
@@ -16,5 +16,6 @@
 #include "BulletCollision/CollisionShapes/btPolyhedralConvexShape.h"
 
-btPolyhedralConvexShape::btPolyhedralConvexShape() :btConvexInternalShape(),
+btPolyhedralConvexShape::btPolyhedralConvexShape()
+:btConvexInternalShape(),
 m_localAabbMin(1,1,1),
 m_localAabbMax(-1,-1,-1),
@@ -24,4 +25,5 @@
 
 }
+
 
 
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btPolyhedralConvexShape.h	(revision 1972)
@@ -32,30 +32,15 @@
 	bool		m_isLocalAabbValid;
 
+	btPolyhedralConvexShape();
 public:
 
-	btPolyhedralConvexShape();
+	
 
 	//brute force implementations
-
 	virtual btVector3	localGetSupportingVertexWithoutMargin(const btVector3& vec)const;
 	virtual void	batchedUnitVectorGetSupportingVertexWithoutMargin(const btVector3* vectors,btVector3* supportVerticesOut,int numVectors) const;
-
 	
 	virtual void	calculateLocalInertia(btScalar mass,btVector3& inertia) const;
 
-
-	void setCachedLocalAabb (const btVector3& aabbMin, const btVector3& aabbMax)
-	{
-		m_isLocalAabbValid = true;
-		m_localAabbMin = aabbMin;
-		m_localAabbMax = aabbMax;
-	}
-
-	inline void getCachedLocalAabb (btVector3& aabbMin, btVector3& aabbMax) const
-	{
-		btAssert(m_isLocalAabbValid);
-		aabbMin = m_localAabbMin;
-		aabbMax = m_localAabbMax;
-	}
 
 	inline void getNonvirtualAabb(const btTransform& trans,btVector3& aabbMin,btVector3& aabbMax, btScalar margin) const
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.cpp	(revision 1972)
@@ -18,4 +18,12 @@
 
 #include "LinearMath/btQuaternion.h"
+
+
+btSphereShape ::btSphereShape (btScalar radius) : btConvexInternalShape ()
+{
+	m_shapeType = SPHERE_SHAPE_PROXYTYPE;
+	m_implicitShapeDimensions.setX(radius);
+	m_collisionMargin = radius;
+}
 
 btVector3	btSphereShape::localGetSupportingVertexWithoutMargin(const btVector3& vec)const
Index: code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/CollisionShapes/btSphereShape.h	(revision 1972)
@@ -28,10 +28,6 @@
 	BT_DECLARE_ALIGNED_ALLOCATOR();
 
-	btSphereShape (btScalar radius) : btConvexInternalShape ()
-	{
-		m_shapeType = SPHERE_SHAPE_PROXYTYPE;
-		m_implicitShapeDimensions.setX(radius);
-		m_collisionMargin = radius;
-	}
+	btSphereShape (btScalar radius);
+	
 	
 	virtual btVector3	localGetSupportingVertex(const btVector3& vec)const;
Index: code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp	(revision 1972)
@@ -886,6 +886,6 @@
 	const btVector3	delta=	results.witnesses[1]-
 							results.witnesses[0];
-	const btScalar	margin=	shape0->getMarginNonVirtual()+
-							shape1.getMarginNonVirtual();
+	const btScalar	margin=	shape0->getMargin()+
+							shape1.getMargin();
 	const btScalar	length=	delta.length();	
 	results.normal			=	delta/length;
Index: code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp	(revision 1972)
@@ -22,5 +22,5 @@
 
 #if defined(DEBUG) || defined (_DEBUG)
-//#define TEST_NON_VIRTUAL 1
+#define TEST_NON_VIRTUAL 1
 #include <stdio.h> //for debug printf
 #ifdef __SPU__
Index: code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btContactSolverInfo.h
===================================================================
--- code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btContactSolverInfo.h	(revision 1971)
+++ code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btContactSolverInfo.h	(revision 1972)
@@ -45,5 +45,4 @@
 
 	int			m_solverMode;
-	int	m_restingContactRestitutionThreshold;
 
 
@@ -71,5 +70,4 @@
 		m_warmstartingFactor=btScalar(0.85);
 		m_solverMode = SOLVER_RANDMIZE_ORDER | SOLVER_CACHE_FRIENDLY | SOLVER_USE_WARMSTARTING;
-		m_restingContactRestitutionThreshold = 2;//resting contact lifetime threshold to disable restitution
 	}
 };
Index: code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp	(revision 1972)
@@ -719,17 +719,9 @@
 
 							solverConstraint.m_friction = cp.m_combinedFriction;
-
-							
-							if (cp.m_lifeTime>infoGlobal.m_restingContactRestitutionThreshold)
+							solverConstraint.m_restitution =  restitutionCurve(rel_vel, cp.m_combinedRestitution);
+							if (solverConstraint.m_restitution <= btScalar(0.))
 							{
 								solverConstraint.m_restitution = 0.f;
-							} else
-							{
-								solverConstraint.m_restitution =  restitutionCurve(rel_vel, cp.m_combinedRestitution);
-								if (solverConstraint.m_restitution <= btScalar(0.))
-								{
-									solverConstraint.m_restitution = 0.f;
-								};
-							}
+							};
 
 							
@@ -994,5 +986,5 @@
 		pt->m_appliedImpulse = solveManifold.m_appliedImpulse;
 		pt->m_appliedImpulseLateral1 = m_tmpSolverFrictionConstraintPool[solveManifold.m_frictionIndex].m_appliedImpulse;
-		pt->m_appliedImpulseLateral2 = m_tmpSolverFrictionConstraintPool[solveManifold.m_frictionIndex+1].m_appliedImpulse;
+		pt->m_appliedImpulseLateral1 = m_tmpSolverFrictionConstraintPool[solveManifold.m_frictionIndex+1].m_appliedImpulse;
 
 		//do a callback here?
@@ -1229,15 +1221,10 @@
 				cpd->m_penetration = cp.getDistance();///btScalar(info.m_numIterations);
 				cpd->m_friction = cp.m_combinedFriction;
-				if (cp.m_lifeTime>info.m_restingContactRestitutionThreshold)
-				{
-					cpd->m_restitution = 0.f;
-				} else
-				{
-					cpd->m_restitution = restitutionCurve(rel_vel, combinedRestitution);
-					if (cpd->m_restitution <= btScalar(0.))
-					{
-						cpd->m_restitution = btScalar(0.0);
-					};
-				}
+				cpd->m_restitution = restitutionCurve(rel_vel, combinedRestitution);
+				if (cpd->m_restitution <= btScalar(0.))
+				{
+					cpd->m_restitution = btScalar(0.0);
+
+				};
 				
 				//restitution and penetration work in same direction so
Index: code/branches/physics/src/bullet/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp
===================================================================
--- code/branches/physics/src/bullet/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp	(revision 1971)
+++ code/branches/physics/src/bullet/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp	(revision 1972)
@@ -126,5 +126,4 @@
 void	btDiscreteDynamicsWorld::debugDrawWorld()
 {
-	BT_PROFILE("debugDrawWorld");
 
 	if (getDebugDrawer() && getDebugDrawer()->getDebugMode() & btIDebugDraw::DBG_DrawContactPoints)
@@ -255,5 +254,4 @@
 void	btDiscreteDynamicsWorld::synchronizeMotionStates()
 {
-	BT_PROFILE("synchronizeMotionStates");
 	{
 		//todo: iterate over awake simulation islands!
